## python-boto3 1.2.2

=== requirements.txt ===
-e git://github.com/boto/botocore.git@develop#egg=botocore
-e git://github.com/boto/jmespath.git@develop#egg=jmespath
nose==1.3.3
mock==1.0.1
wheel==0.24.0

=== debian/changelog ===
python-boto3 (1.2.2-2~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 13 Sep 2016 21:00:57 -0400

python-boto3 (1.2.2-2) unstable; urgency=low

  * Initial release (Closes: #798503)

 -- Eric Evans <eevans@debian.org>  Sun, 29 Nov 2015 16:40:15 -0600

=== debian/control ===
Source: python-boto3
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Eric Evans <eevans@debian.org>
Build-Depends:
        debhelper (>= 9),
	dh-python,
        python-all,
        python-setuptools,
        python3-all,
        python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/boto/boto3
Vcs-Git: git://anonscm.debian.org/users/eevans/python-boto3.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/eevans/python-boto3.git;a=summary

Package: python-boto3
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-botocore, python-requests, python-six
Description: Python interface to Amazon's Web Services - Python 2.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

Package: python3-boto3
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-botocore, python3-requests, python3-six
Description: Python interface to Amazon's Web Services - Python 3.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

## python-boto3 1.4.2

=== debian/changelog ===
python-boto3 (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sat, 10 Dec 2016 19:08:45 -0600

python-boto3 (1.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #832559).

 -- Eric Evans <eevans@debian.org>  Tue, 08 Nov 2016 18:25:42 -0600

=== debian/control ===
Source: python-boto3
Section: python
Priority: optional
Maintainer: Eric Evans <eevans@debian.org>
Build-Depends:
        debhelper (>= 9),
	dh-python,
        python-all,
        python-setuptools,
        python3-all,
        python3-setuptools,
        python-s3transfer (>= 0.1.0),
        python3-s3transfer (>= 0.1.0)
Standards-Version: 3.9.8
Homepage: https://github.com/boto/boto3
Vcs-Git: git://anonscm.debian.org/users/eevans/python-boto3.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/eevans/python-boto3.git;a=summary

Package: python-boto3
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-botocore (>= 1.4.1), python-requests, python-six
Description: Python interface to Amazon's Web Services - Python 2.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

Package: python3-boto3
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-botocore (>= 1.4.1), python3-requests, python3-six
Description: Python interface to Amazon's Web Services - Python 3.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
#export DH_VERBOSE = 1

export DEB_BUILD_OPTIONS = nocheck
export PYBUILD_NAME = boto3

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-boto3 1.9.86

=== debian/changelog ===
python-boto3 (1.9.86-1) unstable; urgency=medium

  * d/control: Update VCS fields.
  * New upstream version 1.9.86 (Closes: #911151)
  * do-not-use-vendored-code.patch: Refreshed.
  * d/rules: Remove DEB_BUILD_OPTIONS=nocheck.
  * d/control: Bump Standards-Version (no changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 29 Jan 2019 02:07:32 +0300

python-boto3 (1.7.55-2) unstable; urgency=medium

  * d/control: Bump python-s3tranfer version (according to upstream).
  * d/control: Force python-s3transfer version in depends (pybuild fails to
    extract in from setup.py).

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 22 Nov 2018 17:38:27 +0300

python-boto3 (1.7.55-1) unstable; urgency=medium

  * New upstream version 1.7.55 (Closes: #873582)
  * d/control: Depend on botocore (>= 1.6.6) (see #874367).
  * d/control: Add myself to uploaders.
  * d/control: Run wrap-and-sort.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 15 Aug 2018 17:17:12 +0300

=== debian/control ===
Source: python-boto3
Section: python
Priority: optional
Maintainer: Eric Evans <eevans@debian.org>
Uploaders: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-s3transfer (>= 0.1.10),
               python-setuptools,
               python3-all,
               python3-s3transfer (>= 0.1.10),
               python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/boto/boto3
Vcs-Git:https://salsa.debian.org/eevans/python-boto3.git
Vcs-Browser: https://salsa.debian.org/eevans/python-boto3

Package: python-boto3
Architecture: all
Depends: python-botocore (>= 1.6.6),
         python-requests,
         python-s3transfer (>= 0.1.10),
         python-six,
         ${misc:Depends},
         ${python:Depends}
Description: Python interface to Amazon's Web Services - Python 2.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

Package: python3-boto3
Architecture: all
Depends: python3-botocore (>= 1.6.6),
         python3-requests,
         python3-s3transfer (>= 0.1.10),
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Description: Python interface to Amazon's Web Services - Python 3.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
#export DH_VERBOSE = 1

export PYBUILD_NAME = boto3

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	#autotests are disabled, run them manually with
	#python<version> -m nose

## python-boto3 1.9.253

=== debian/changelog ===
python-boto3 (1.9.253-1) unstable; urgency=medium

  * New upstream version 1.9.253
  * Drop python2.7 package.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 21 Oct 2019 11:32:33 +0300

=== debian/control ===
Source: python-boto3
Section: python
Priority: optional
Maintainer: Eric Evans <eevans@debian.org>
Uploaders: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-s3transfer (>= 0.1.10),
               python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/boto/boto3
Vcs-Git:https://salsa.debian.org/eevans/python-boto3.git
Vcs-Browser: https://salsa.debian.org/eevans/python-boto3

Package: python3-boto3
Architecture: all
Depends: python3-botocore (>= 1.6.6),
         python3-requests,
         python3-s3transfer (>= 0.1.10),
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Description: Python interface to Amazon's Web Services - Python 3.x
 Boto is the Amazon Web Services interface for Python.  It allows developers
 to write software that makes use of Amazon services like S3 and EC2. Boto
 provides an easy to use, object-oriented API as well as low-level direct
 service access.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	#autotests are disabled, run them manually with

=== debian/watch ===
version=3
https://github.com/boto/boto3/tags .*/(\d[\d\.]*)\.tar\.gz

## python-boto3 1.13.14

=== requirements.txt ===
-e git://github.com/boto/botocore.git@develop#egg=botocore
-e git://github.com/boto/jmespath.git@develop#egg=jmespath
-e git://github.com/boto/s3transfer.git@develop#egg=s3transfer
nose==1.3.3
mock==1.3.0
wheel==0.24.0

=== debian/changelog ===
python-boto3 (1.13.14-1) unstable; urgency=medium

  * New upstream release
  * Move the package to the cloud-team for maintenance. Thank you to Eric
    Evans and Alexander GQ Gerasiov for past maintenance
  * Configure a standard salsa.debian.org CI pipeline
  
 -- Noah Meyerhans <noahm@debian.org>  Wed, 20 May 2020 12:47:51 -0700

python-boto3 (1.13.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Strip unusual field spacing from debian/control.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Alexander Gerasiov ]
  * New upstream version 1.13.3

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 06 May 2020 11:07:48 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-boto3
 Section: python
 Priority: optional
-Maintainer: Eric Evans <eevans@debian.org>
-Uploaders: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
+Uploaders: Alexander GQ Gerasiov <gq@debian.org>,
+           Noah Meyerhans <noahm@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-s3transfer (>= 0.1.10),
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/boto/boto3
-Vcs-Git:https://salsa.debian.org/eevans/python-boto3.git
-Vcs-Browser: https://salsa.debian.org/eevans/python-boto3
+Vcs-Git: https://salsa.debian.org/cloud-team/python-boto3.git
+Vcs-Browser: https://salsa.debian.org/cloud-team/python-boto3
 
 Package: python3-boto3
 Architecture: all

## python-boto3 1.20.34+dfsg

=== debian/changelog ===
python-boto3 (1.20.34+dfsg-1) unstable; urgency=medium

  * New upstream version 1.20.34+dfsg

 -- Noah Meyerhans <noahm@debian.org>  Wed, 12 Jan 2022 15:15:56 -0800

python-boto3 (1.19.9+dfsg-1) unstable; urgency=medium

  * New upstream version 1.19.9+dfsg
  * fix python build dependency (Closes: 998396)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Nov 2021 10:29:48 -0700

python-boto3 (1.18.53+dfsg-1) unstable; urgency=medium

  * New upstream version 1.18.53+dfsg
  * update python3 build-deps per lintian
  * Update copyright and install NOTICE

 -- Noah Meyerhans <noahm@debian.org>  Mon, 04 Oct 2021 11:10:03 -0700

python-boto3 (1.18.46+dfsg-1) unstable; urgency=medium

  * New upstream version 1.18.46+dfsg (Closes: #989832)
  * strip the shortbread javascript component from the source tarball
  * Bump standards version to 4.6.0
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Wed, 22 Sep 2021 13:19:07 -0700

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-all,
+	       python3-all:any,
                python3-s3transfer (>= 0.1.10),
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/boto/boto3
 Vcs-Git: https://salsa.debian.org/cloud-team/python-boto3.git
 Vcs-Browser: https://salsa.debian.org/cloud-team/python-boto3

## python-boto3 1.23.8+dfsg

=== debian/changelog ===
python-boto3 (1.23.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.23.8+dfsg

 -- Noah Meyerhans <noahm@debian.org>  Wed, 25 May 2022 17:01:19 -0700

## python-boto3 1.26.27+dfsg

=== debian/changelog ===
python-boto3 (1.26.27+dfsg-1) unstable; urgency=medium

  * New upstream version 1.26.27+dfsg
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Mon, 12 Dec 2022 09:19:29 -0800

## python-boto3 1.26.155+dfsg

=== debian/changelog ===
python-boto3 (1.26.155+dfsg-1) unstable; urgency=medium

  * New upstream version 1.26.155+dfsg
  * Refresh patch strip-shortbread-js
  * suppress lintian false-positive

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Jun 2023 14:12:24 -0700

## python-boto3 1.34.46+dfsg

=== debian/changelog ===
python-boto3 (1.34.46+dfsg-1ubuntu1) noble; urgency=medium

  * d/control: add python3-pytest as build dependency and
    disable tests that require internet
  * d/rules: enable unit tests during build
  * d/control: add autopkgtest-pkg-pybuild

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 16 Apr 2024 13:49:48 +0200

python-boto3 (1.34.46+dfsg-1) unstable; urgency=medium

  * Drop obsolete dependency on python3-six (Closes: #1040425)
  * New upstream version 1.34.46+dfsg

 -- Noah Meyerhans <noahm@debian.org>  Wed, 21 Feb 2024 10:57:19 -0800

python-boto3 (1.34.18+dfsg-1) unstable; urgency=medium

  * New upstream version 1.34.18+dfsg
  * Update standards version to 4.6.2 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 13 Jan 2024 15:12:06 -0800

python-boto3 (1.28.49+dfsg-1) unstable; urgency=medium

  * New upstream version 1.28.49+dfsg
  * refresh patch strip-shortbread-js
  * update python dependencies

 -- Noah Meyerhans <noahm@debian.org>  Sun, 17 Sep 2023 13:17:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: python-boto3
 Section: python
 Priority: optional
-Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
 Uploaders: Alexander GQ Gerasiov <gq@debian.org>,
            Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
 	       python3-all:any,
+               python3-pytest,
                python3-s3transfer (>= 0.1.10),
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/boto/boto3
 Vcs-Git: https://salsa.debian.org/cloud-team/python-boto3.git
 Vcs-Browser: https://salsa.debian.org/cloud-team/python-boto3
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-boto3
 Architecture: all
-Depends: python3-botocore (>= 1.6.6),
+Depends: python3-botocore (>= 1.31.49),
          python3-requests,
          python3-s3transfer (>= 0.1.10),
-         python3-six,
          ${misc:Depends},
          ${python3:Depends}
 Description: Python interface to Amazon's Web Services - Python 3.x

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack" \
https://github.com/boto/boto3/tags .*/(\d[\d\.]*)\.tar\.gz

## python-boto3 1.36.0+dfsg

=== debian/changelog ===
python-boto3 (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.36.0+dfsg

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 16 Jan 2025 13:59:46 +0100

python-boto3 (1.35.93+dfsg-2) unstable; urgency=medium

  * Enable tests during build and autopkgtests (taken from Ubuntu;
    thanks Alberto Contreras for enabling those tests on Ubuntu)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 09 Jan 2025 21:42:39 +0100

python-boto3 (1.35.93+dfsg-1) unstable; urgency=medium

  * Add debian/gbp.conf and use pristine-tar
  * New upstream version 1.35.93+dfsg
  * Add myself to Uploaders

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Wed, 08 Jan 2025 07:33:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-boto3
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
+Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
 Uploaders: Alexander GQ Gerasiov <gq@debian.org>,
-           Noah Meyerhans <noahm@debian.org>
+           Noah Meyerhans <noahm@debian.org>,
+           Thomas Bechtold <thomasbechtold@jpberlin.de>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
 	       python3-all:any,
@@ -12,10 +12,10 @@
                python3-s3transfer (>= 0.1.10),
                python3-setuptools
 Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/boto/boto3
 Vcs-Git: https://salsa.debian.org/cloud-team/python-boto3.git
 Vcs-Browser: https://salsa.debian.org/cloud-team/python-boto3
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-boto3
 Architecture: all

## python-boto3 1.37.9

=== debian/changelog ===
python-boto3 (1.37.9-1) unstable; urgency=medium

  * debian/copyright: drop shortbreadv1.js from Files-Excluded
  * New upstream version 1.37.9
  * d/patches: drop strip-shortbread-js~strip-shortbread-js
  * d/control: bump Depends python3-botocore (>= 1.37.9)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Mon, 10 Mar 2025 17:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: python3-boto3
 Architecture: all
-Depends: python3-botocore (>= 1.31.49),
+Depends: python3-botocore (>= 1.37.9),
          python3-requests,
          python3-s3transfer (>= 0.1.10),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
#export DH_VERBOSE = 1

export PYBUILD_NAME = boto3
export PYBUILD_TEST_ARGS={dir}/tests/unit/ \
	--ignore={dir}/tests/unit/resources/test_collection_smoke.py \
	--deselect tests/unit/docs/test_action.py::TestActionDocumenter::test_document_nonservice_resource_actions \
	--deselect tests/unit/docs/test_action.py::TestActionDocumenter::test_document_service_resource_actions \
	--deselect tests/unit/docs/test_attr.py::TestDocumentAttribute::test_document_attr_scalar \
	--deselect tests/unit/docs/test_attr.py::TestDocumentAttribute::test_document_attr_structure \
	--deselect tests/unit/docs/test_client.py::TestBoto3ClientDocumenter::test_document_client \
	--deselect tests/unit/docs/test_collection.py::TestCollectionDocumenter::test_document_collections \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_action_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_attribute_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_batch_action_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_collection_all_method_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_collection_chaining_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_collection_filter_method_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_collection_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_collection_limit_method_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_collection_page_size_method_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_identifier_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_load_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_reference_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_resource_waiter_help \
	--deselect tests/unit/docs/test_docstring.py::TestResourceDocstrings::test_sub_resource_help \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_default \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_exclude_input \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_exclude_output \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_include_input \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_include_output \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_returns_list_of_resource \
	--deselect tests/unit/docs/test_method.py::TestDocumentModelDrivenResourceMethod::test_returns_resource \
	--deselect tests/unit/docs/test_resource.py::TestResourceDocumenter::test_document_resource \
	--deselect tests/unit/docs/test_resource.py::TestServiceResourceDocumenter::test_document_resource \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_creates_correct_path_to_examples_based_on_service_name \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_document_service \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_document_service_no_paginators \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_document_service_no_resource \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_document_service_no_waiter \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_injects_examples_when_found \
	--deselect tests/unit/docs/test_service.py::TestServiceDocumenter::test_service_with_context_params \
	--deselect tests/unit/docs/test_subresource.py::TestSubResourceDocumenter::test_document_sub_resources \
	--deselect tests/unit/docs/test_waiter.py::TestWaiterResourceDocumenter::test_document_resource_waiters \
	--deselect tests/unit/ec2/test_createtags.py::TestCreateTagsInjection::test_create_tags_injected_to_resource

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-boto3 1.40.72

=== debian/changelog ===
python-boto3 (1.40.72-1) unstable; urgency=medium

  * New upstream version 1.40.72
  * d/control: adjust Depends according to setup.cfg

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 13 Nov 2025 09:54:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-python,
 	       python3-all:any,
                python3-pytest,
-               python3-s3transfer (>= 0.1.10),
+               python3-s3transfer (>= 0.14.0),
                python3-setuptools
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-pybuild
@@ -19,9 +19,10 @@
 
 Package: python3-boto3
 Architecture: all
-Depends: python3-botocore (>= 1.37.9),
+Depends: python3-botocore (>= 1.40.72),
          python3-requests,
-         python3-s3transfer (>= 0.1.10),
+         python3-s3transfer (>= 0.14.0),
+         python3-jmespath (>= 0.7.1),
          ${misc:Depends},
          ${python3:Depends}
 Description: Python interface to Amazon's Web Services - Python 3.x
